"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

const dispose = async ({
  connection
}) => {
  const log = (0, _getLog.getLog)(`dispose`);
  log.debug(`disconnecting the event store adapter`);
  await connection.end();
  log.debug(`event store adapter disconnected`);
};

var _default = dispose;
exports.default = _default;
//# sourceMappingURL=dispose.js.map