import type { Adapter } from '@resolve-js/eventstore-base';
import type { PostgresqlAdapterConfig } from './types';
import createResource from './resource/create';
import destroyResource from './resource/destroy';
declare const createPostgresqlAdapter: (options: PostgresqlAdapterConfig) => Adapter;
export default createPostgresqlAdapter;
export type { PostgresqlAdapterConfig };
export { createResource as create, destroyResource as destroy };
