import { getLog } from './get-log';

const dispose = async ({
  connection
}) => {
  const log = getLog(`dispose`);
  log.debug(`disconnecting the event store adapter`);
  await connection.end();
  log.debug(`event store adapter disconnected`);
};

export default dispose;
//# sourceMappingURL=dispose.js.map